## Class dump_manip

boost::log::dump_manip — Manipulator for printing binary representation of the data.

## Synopsis

    // In header: <boost/log/utility/manipulators/dump.hpp>

    class dump_manip {
    public:
      // construct/copy/destruct
      dump_manip(const void *, std::size_t) noexcept;
      dump_manip(dump_manip const &) noexcept;

      // public member functions
      const void * get_data() const noexcept;
      std::size_t get_size() const noexcept;
    };

## Description

### `dump_manip` public construct/copy/destruct

1.     dump_manip(const void * data, std::size_t size) noexcept;

2.     dump_manip(dump_manip const & that) noexcept;

### `dump_manip` public member functions

1.     const void * get_data() const noexcept;

2.     std::size_t get_size() const noexcept;